{% extends 'base.html' %}
{% load static i18n %}

{% block title %}{{ site.name }}{% endblock title %}

{% block content %}
<div class="map-container" ng-controller="MainCtrl">
  <div class="navbar navbar-fixed-top" role="navigation">
    <div class="container-fluid">
      <div class="navbar-header">
        <div class="navbar-icon-container">
          <a href="#header-menu" class="navbar-icon pull-right visible-xs" id="nav-btn" data-toggle="collapse"><i class="fa fa-bars fa-lg white"></i></a>
        </div>
        <a class="navbar-brand" ui-sref="home" ui-sref-opts="{reload: true, inherit: false}">{{ site.name }}</a>
      </div>
      <div id="header-menu" class="navbar-collapse navbar-right collapse">
        <ul class="nav navbar-nav">
          <li>
              {% if not user.is_authenticated %}
              <!-- <a href="" data-toggle="modal" data-target="#login-modal" id="login-btn"><i class="fa fa-user"></i>&nbsp;&nbsp;Entrar</a> -->
              <a href="{% url 'admin:login' %}" id="login-btn"><i class="fa fa-user"></i>&nbsp;&nbsp;{% trans "Login" %}</a>
              {% elif user.is_staff %}
              <a href="{% url 'admin:login' %}" target="_blank" id="login-btn"><i class="fa fa-user"></i>&nbsp;&nbsp;{% trans "Admin" %}</a>
              {% else %}
              <a href="#" id="login-btn"><i class="fa fa-user"></i>&nbsp;&nbsp;{{ request.user.username }}</a>
              {% endif %}
          </li>
          <li>
            <a href="" data-toggle="modal" data-target="#reportsModal" id="about-btn">
              <i class="fa fa-question-circle white"></i>&nbsp;&nbsp;{% trans "Reports" %}
            </a>
          </li>
          <li>
            <a href="" data-toggle="modal" data-target="#aboutModal" id="about-btn">
              <i class="fa fa-question-circle white"></i>&nbsp;&nbsp;{% trans "About" %}
            </a>
          </li>
        </ul>
      </div><!--/.navbar-collapse -->
    </div>
  </div>

  <script>
    $('.navbar-nav a').click(function() {
      $('.navbar-icon').click();
    });
  </script>

  <div id="container">
    <div id="sidebar" ng-class="menuIsClosed ? 'closed' : 'open'">
      <div ui-view></div>
    </div>
    <div class="button-menu menu-close" ng-click="menuIsClosed = true">
      <span class="bubble">
        <i class="fa fa-caret-left"></i>
      </span>
    </div>
    <div class="button-menu menu-open" ng-click="menuIsClosed = false">
      <span class="text">{% trans "Menu" %}</span>
      <span class="bubble">
        <i class="fa fa-caret-right"></i>
      </span>
    </div>
    <guarani-map id="map"></guarani-map>
  </div>
  <div id="mapaguarani-loading" loading>
    <h1>{{ site.name }}</h1>
    <h2>{% trans "Loading data...." %}</h2>
  </div>
</div>
{% endblock content %}

{% block modal %}

{# {% include 'modal-login.html' %} #}

{% include 'modals/reports-modal.html' %}

{% include 'modals/about-modal.html' %}

{% endblock modal %}
